<app-menu></app-menu>

<div class="container mat-elevation-z8">
<div class="row">
<mat-toolbar color="primary">
        <span>CRUD REVISTA</span>
</mat-toolbar>
</div>

<div class="row" style="margin-top: 3%">
<mat-form-field class="col-md-4">
        <mat-label>Nombre</mat-label>
        <input matInput [(ngModel)]="filtro">
</mat-form-field>

<button mat-raised-button color="primary" type="button" (click)="consultaRevista()"
        class="btn btn-primary btn-sm" id="id_btn_filtrar" style="width: 150px">Filtrar</button>
<button mat-raised-button color="primary" type="button" (click)="openAddDialog()"
        class='btn btn-primary btn-sm' style="width: 150px">Registrar</button>

</div>

<div class="row" style="margin-top: 3%">
<!-- PASO 2 CREAR UNA TABLA Y CREAR LAS CABECERAS  -->
<mat-table #table class="mat-cell" [dataSource]="dataSource"> 
        <ng-container matColumnDef="idRevista">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Id</mat-header-cell>
            <mat-cell *matCellDef="let aux">{{ aux.idRevista}}</mat-cell>
        </ng-container>
        
        <ng-container matColumnDef="nombre">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Nombre</mat-header-cell>
            <mat-cell *matCellDef="let aux">{{ aux.nombre}}</mat-cell>
        </ng-container>
        
        <ng-container matColumnDef="frecuencia">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Frecuencia</mat-header-cell>
            <mat-cell *matCellDef="let aux">{{ aux.frecuencia}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="fechaCreacion">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Fecha de Creación </mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.fechaCreacion | date:"dd/MM/yyyy"}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="fechaRegistro">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Fecha de Registro </mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.fechaRegistro | date:"dd/MM/yyyy"}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="estado">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Estado</mat-header-cell>
            <mat-cell *matCellDef="let aux">{{ aux.estado == 1 ? "Activo" : "Inactivo" }}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="pais">
            <mat-header-cell mat-header-cell *matHeaderCellDef>País</mat-header-cell>
            <mat-cell *matCellDef="let aux">{{ aux.pais!.nombre}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="tipoRevista">
            <mat-header-cell mat-header-cell *matHeaderCellDef>Tipo de Revista</mat-header-cell>
            <mat-cell *matCellDef="let aux">{{ aux.tipoRevista!.descripcion}}</mat-cell>
        </ng-container>


        <ng-container matColumnDef="acciones">
            <mat-header-cell mat-header-cell *matHeaderCellDef>&nbsp;</mat-header-cell>            
            <mat-cell *matCellDef="let aux; let i=index;">

                <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input"
                            id="idEstado_{{ aux.idRevista }}" name="estado"
                            [checked]="aux.estado==1?true:false"
                            (change)="actualizaEstado(aux)" />
                    <label class="custom-control-label"
                            for="idEstado_{{ aux.idRevista }}"></label>
                </div>
                
                
                <button mat-icon-button color="accent" (click)="openUpdateDialog(aux)">
                    <mat-icon aria-label="Edit">edit</mat-icon>
                </button>

                <button mat-icon-button color="accent" (click)="elimina(aux)">
                    <mat-icon aria-label="Delete">delete</mat-icon>
                </button>



            </mat-cell>
        </ng-container>
      
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let aux; columns: displayedColumns"></mat-row>

</mat-table>

<mat-paginator [pageSizeOptions]="[10,14,16]" showFirstLastButtons></mat-paginator>


</div>
</div>
